diff options
author | Daniel Baumann <daniel.baumann@progress-linux.org> | 2019-08-11 08:55:37 +0000 |
---|---|---|
committer | Daniel Baumann <daniel.baumann@progress-linux.org> | 2019-08-11 08:55:37 +0000 |
commit | 5a663817eb466038a3be8f73d0d5cc9e25727966 (patch) | |
tree | 28408e4b99a9f86dd13924232f9a6d55d35e975f /share/scripts/debconf | |
parent | Adding upstream version 20190413. (diff) | |
download | open-infrastructure-compute-tools-5a663817eb466038a3be8f73d0d5cc9e25727966.tar.xz open-infrastructure-compute-tools-5a663817eb466038a3be8f73d0d5cc9e25727966.zip |
Adding upstream version 20190811.upstream/20190811
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'share/scripts/debconf')
-rwxr-xr-x | share/scripts/debconf | 20 |
1 files changed, 9 insertions, 11 deletions
diff --git a/share/scripts/debconf b/share/scripts/debconf index b4b5e18..f3632f4 100755 --- a/share/scripts/debconf +++ b/share/scripts/debconf @@ -126,7 +126,7 @@ then exit 1 fi -Start () +Mount () { # Mounting rw bind mounts if [ -n "${BIND}" ] @@ -182,12 +182,9 @@ Start () mount -t overlay overlay-${NAME} -olowerdir="${DIRECTORY_LOWER}",upperdir="${DIRECTORY_UPPER}",workdir="${DIRECTORY_WORK}" "${DIRECTORY_MERGED}" done fi - - # Trap function - trap 'Stop' EXIT HUP INT QUIT TERM } -Stop () +Umount () { # Unmounting overlay mounts if [ -n "${CNT_OVERLAY}" ] @@ -359,7 +356,7 @@ Debootstrap () INCLUDE="dbus" # apt repositories - INCLUDE="${INCLUDE} gnupg" + INCLUDE="${INCLUDE},gnupg" if ( echo "${MIRROR}" | grep -qs '^https' ) || \ ( echo "${PARENT_MIRROR}" | grep -qs '^https' ) @@ -398,7 +395,7 @@ EOF progress-linux) cat > "${DIRECTORY}/progress-linux.cfg" << EOF -progress-linux progress-linux/archives multiselect ${ARCHIVES} +progress-linux progress-linux/archives multiselect $(echo ${ARCHIVES} | sed -e 's| |, |g') progress-linux progress-linux/archive-areas multiselect $(echo ${ARCHIVE_AREAS} | sed -e 's|,| |g') EOF @@ -528,7 +525,7 @@ EOF progress-linux) cat > "${DIRECTORY}/progress-linux.cfg" << EOF -progress-linux progress-linux/archives multiselect ${ARCHIVES} +progress-linux progress-linux/archives multiselect $(echo ${ARCHIVES} | sed -e 's| |, |g') progress-linux progress-linux/archive-areas multiselect $(echo ${ARCHIVE_AREAS} | sed -e 's|,| |g') EOF @@ -1082,6 +1079,9 @@ Commands () esac } +# Trap function +trap 'Umount' EXIT HUP INT QUIT TERM + umask 0022 export NAME @@ -1129,7 +1129,7 @@ Cleanup_system "${CACHE}/${DISTRIBUTION}_${ARCHITECTURE}" mkdir -p "${MACHINES}" cp -a "${CACHE}/${DISTRIBUTION}_${ARCHITECTURE}" "${MACHINES}/${NAME}" -Start +Mount Configure_system "${MACHINES}/${NAME}" Configure_network "${MACHINES}/${NAME}" @@ -1138,8 +1138,6 @@ Cleanup_system "${MACHINES}/${NAME}" Commands "${MACHINES}/${NAME}" -Stop - # remove debconf temporary files rm --preserve-root --one-file-system -rf "${DEBCONF_TMPDIR}" rmdir --ignore-fail-on-non-empty "/tmp/${SOFTWARE}" 2>&1 || true |